#ifndef CMWCALIMULTILASERKERF_H
#define CMWCALIMULTILASERKERF_H

#include "cmwidget.h"
#include "cctrlparamlist.h"
#include "export_laser_cali_driver.h"
namespace Ui {class CMWCaliMultiLaserKerf;};

class LASER_CALI_DRIVER_EXPORT CMWCaliMultiLaserKerf : public CMWidget
{
	Q_OBJECT

public:
	CMWCaliMultiLaserKerf(QWidget *parent = 0);
	~CMWCaliMultiLaserKerf();

	virtual void MInit();
	void InitProcessId(int nProcessId, CCtrlParamList* widget);

	void MFresh() override;

private slots:
	void on_btnChangeLine_clicked();
	void on_btnReplaceMarkPanel_clicked();
	void on_btnMeasureThick_clicked();
private:
	Ui::CMWCaliMultiLaserKerf *ui;
};

#endif // CMWCALIMULTILASERKERF_H
